System.Web.Services 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.SystemException

The can either be thrown by the common language runtime or by an XML Web service method. The common language runtime can throw a if a response to a request is not formatted correctly. XML Web service methods can generate a by simply throwing an exception within the XML Web service method. If the client accessed the method over SOAP, the exception is caught on the server and wrapped inside a new . The thrown has the following property values:

Property

Value

The property of the original exception.

.

The URL of the XML Web service method.

null, but an empty detail element is present in the fault element.

An XML Web service method might throw a when clients call using SOAP. If an XML Web service throws the , other details can be added through the , and properties that cannot otherwise be set by an XML Web service method if another type of exception is thrown.

Represents the exception that is thrown when an XML Web service method is called over SOAP and an exception occurs.

- Constructor
  2.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  2.0.0.0
  To be added.

  Initializes a new instance of the class with serialized data.

  The that holds the serialized object data about the exception being thrown.
  The T:System.Runtime.Serialization.StreamingContext that contains contextual information about the source or destination.
- Constructor
  To be added

  Initializes a new instance of the class with the specified exception message and exception code.

  A message that identifies the reason the exception occurred. This parameter sets the property.
  An that specifies the type of error that occurred. This parameter sets the property.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class with the specified exception message, exception code, and reference to the root cause of the exception.

  A message that identifies the reason the exception occurred. This parameter sets the property.
  An that specifies the type of error that occurred. This parameter sets the property.
  An exception that is the root cause of the exception. This parameter sets the property.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class with the specified exception message, exception code, and URI that identifies the piece of code that caused the exception.

  A message that identifies the reason the exception occurred. This parameter sets the property.
  An that specifies the type of error that occurred. This parameter sets the property.
  A URI that identifies the code that caused the exception. Typically, this is a URL to an XML Web service method. This parameter sets the property.
  1.0.5000.0
  2.0.0.0
- Constructor
  2.0.0.0
  To be added.
  To be added.

  Initializes a new instance of the class with the specified exception message, exception code, and subcode.

  A message that identifies the reason the exception occurred. This parameter sets the property.
  An that specifies the type of error that occurred. This parameter sets the property.
- Constructor
  To be added

  Initializes a new instance of the class with the specified exception message, exception code, URI that identifies the code that caused the exception, and reference to the root cause of the exception.

  A message that identifies the reason the exception occurred. This parameter sets the property.
  An that specifies the type of error that occurred. This parameter sets the property.
  A URI that identifies the piece of code that caused the exception. Typically, this is a URL to an XML Web service method. This parameter sets the property.
  An exception that is the root cause of the exception. This parameter sets the property.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class with the specified exception message, exception code, URI that identifies the piece of code that caused the exception, and application specific exception information.

  A message that identifies the reason the exception occurred. This parameter sets the property.
  An that specifies the type of error that occurred. This parameter sets the property.
  A URI that identifies the piece of code that caused the exception. Typically, this is a URL to an XML Web service method. This parameter sets the property.
  An that contains application specific exception information. This parameter sets the property.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class with the specified exception message, exception code, URI that identifies the piece of code that caused the exception, application-specific exception information, and reference to the root cause of the exception.

  A message that identifies the reason the exception occurred. This parameter sets the property.
  An that specifies the type of error that occurred. This parameter sets the property.
  A URI that identifies the piece of code that caused the exception. Typically, this is a URL to an XML Web service method. This parameter sets the property.
  An that contains application specific exception information. This parameter sets the property.
  An exception that is the root cause of the exception. This parameter sets the property.
  1.0.5000.0
  2.0.0.0
- Constructor
  2.0.0.0
  To be added.
  To be added.

  Initializes a new instance of the class with the specified exception message, exception code, URI that identifies the piece of code that caused the exception, application-specific exception information, and reference to the root cause of the exception.

  A message that identifies the reason the exception occurred. This parameter sets the property.
  An that specifies the type of error that occurred. This parameter sets the property.
  A URI that identifies the piece of code that caused the exception. Typically, this is a URL to an XML Web service method. This parameter sets the property.
  A URI that represents the XML Web service's function in processing the SOAP message. This parameter sets the property.
  An that contains application specific exception information. This parameter sets the property.
  An exception that is the root cause of the exception. This parameter sets the property.
- Constructor
  2.0.0.0
  To be added.
  To be added.

  Initializes a new instance of the class with the specified exception message, exception code, URI that identifies the piece of code that caused the exception, URI that represents the XML Web service's function in processing the SOAP message, the human language associated with the exception, the application-specific exception information, the subcode for the SOAP fault and reference to the root cause of the exception.

  A message that identifies the reason the exception occurred. This parameter sets the property.
  An that specifies the type of error that occurred. This parameter sets the property.
  A URI that identifies the piece of code that caused the exception. Typically, this is a URL to an XML Web service method. This parameter sets the property.
  A URI that represents the XML Web service's function in processing the SOAP message. This parameter sets the property.
  A human language associated with the exception. This parameter sets the property.
  An that contains application specific exception information. This parameter sets the property.
  An exception that is the root cause of the exception. This parameter sets the property.
- Property
  System.String To be added: an object of type 'string'

  The property can only be set using one of the constructors that accepts an argument.

  When a SOAP request is made, the message is sent to a recipient, which is specified in a SOAP actor attribute. If an exception occurs within an XML Web service, the value of the SOAP actor attribute is assigned to the property. For XML Web services created using ASP.NET, the URL to the XML Web service method is the value of the SOAP actor attribute and is returned in the property.

  For more information on the SOAP actor attribute, see the SOAP specification at http://www.w3.org/TR/SOAP/.

  Gets the piece of code that caused the exception.

  1.0.5000.0
  2.0.0.0
- Field
  System.Xml.XmlQualifiedName

  An example of when a can be generated, is when a client call does not have proper authentication or payment information. It is generally an indication that the client call must be changed before it is resent.

  Specifies a SOAP fault code that represents a client call that is not formatted correctly or does not contain the appropriate information.

  1.0.5000.0
  2.0.0.0
- Property
  System.Xml.XmlQualifiedName a

  The property can only be set when creating a new instance of the class.

  The class is for use by XML Web service clients that call XML Web service methods over SOAP. ASP.NET handles whether the client that calls uses SOAP. This is when an exception occurs in an XML Web service. If the client uses SOAP, ASP.NET wraps the specific exception into a and sets the and properties.

  The set of available codes, known as SOAP Fault Codes for SOAP protocol version 1.1, are the following:

  Item

  Description

  An invalid namespace for a SOAP envelope was found.

  Not all SOAP elements require processing. However, if a SOAP element is marked with the MustUnderstand attribute with a value of 1, it is required. Failure to process the element generates this exception.

  A client call was not formatted correctly or did not contain the appropriate information. For example, the client call might not have the proper authentication or payment information. It is generally an indication that the message must be changed before it is resent.

  An error occurred during the processing of a client call on the server, however, the problem is not due to the message contents. For example, an upstream server might not respond to a request due to network problems. Typically, with this type of exception, the client call might succeed later. If an XML Web service throws an exception, other than and the client calls using SOAP, ASP.NET converts the exception to a , setting the property to and throws it back to the client.

  Gets the type of SOAP fault code.

  1.0.5000.0
  2.0.0.0
- Property
  System.Xml.XmlNode a

  The property can be set using one of the class constructors that accepts a value.

  The property is used to supply application-specific error details related to the Body element of the SOAP request. According to the SOAP specification, if an error occurs because the client request cannot be processed due to the Body element of the SOAP request, the property must be set. If an error occurs in the header entries of the SOAP request, you must throw a , so that the error details are returned in the SOAP header. If the error does not occur, due to the processing of the Body element, then the property must not be set.

  In building an for the property, the and properties of can be used to ensure consistency with the SOAP specification.

  All immediate child elements of the detail element are called detail entries and each detail entry is encoded as an independent element within the detail element.

  Gets an that represents the application-specific error information details.

  1.0.5000.0
  2.0.0.0
- Field
  System.Xml.XmlQualifiedName

  In building an for the property, the and properties of can be used to ensure consistency with the SOAP specification.

  Gets an that represents the element of a SOAP Fault code.

  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Void `` `` To be added.

  Sets the with information about the exception.

  The that holds the serialized object data about the exception being thrown. The that contains contextual information about the source or destination.
- Method
  2.0.0.0
  System.Boolean ``

  Recipients of a can use this method to determine whether the property is functionally equivalent to the Client SOAP fault code defined in SOAP 1.1 regardless of the version of the SOAP protocol used. Versions of the SOAP protocol later than 1.1 might use different names or namespaces for the Client SOAP fault code defined in SOAP version 1.1, which is represented by the field. SOAP 1.2 names the fault code Sender, which is represented by the field.

  Returns a value that indicates whether the SOAP fault code is equivalent to the Client SOAP fault code regardless of the version of the SOAP protocol used.

  true if is equivalent to the Client SOAP fault code; otherwise, false.

  An that contains a SOAP fault code.
- Method
  2.0.0.0
  System.Boolean ``

  Recipients of a can use this method to determine whether the property is functionally equivalent to the MustUnderstand SOAP fault code defined in SOAP 1.1 regardless of the version of the SOAP protocol used. Versions of the SOAP protocol later than 1.1 might use different names or namespaces for the MustUnderstand SOAP fault code defined in SOAP version 1.1, which is represented by the field. SOAP 1.2 names the fault code the same; however it is scoped by a different XML namespace and is represented by the field.

  Returns a value that indicates whether the SOAP fault code is equivalent to MustUnderstand regardless of the version of the SOAP protocol used.

  true if is equivalent to the MustUnderstand SOAP fault code; otherwise, false.

  An that contains a SOAP fault code.
- Method
  2.0.0.0
  System.Boolean ``

  Recipients of a can use this method to determine whether the property is functionally equivalent to the Server SOAP fault code defined in SOAP 1.1 regardless of the version of the SOAP protocol used. Versions of the SOAP protocol later than 1.1 might use different names or namespaces for the Server SOAP fault code defined in SOAP version 1.1, which is represented by the field. SOAP 1.2 names the fault code Receiver, which is represented by the field.

  Returns a value that indicates whether the SOAP fault code is equivalent to the Server SOAP fault code regardless of the version of the SOAP protocol used.

  true if is equivalent to the Server SOAP fault code; otherwise, false.

  An that contains a SOAP fault code.
- Method
  2.0.0.0
  System.Boolean ``

  Recipients of a can use this method to determine whether the property is functionally equivalent to the VersionMismatch SOAP fault code defined in SOAP 1.1 regardless of the version of the SOAP protocol used. Versions of the SOAP protocol later than 1.1 might use different names or namespaces for the VersionMismatch SOAP fault code defined in SOAP version 1.1, which is represented by the field. SOAP 1.2 names the fault code the same; however, it is scoped by a different XML namespace and is represented by the field.

  Returns a value that indicates whether the SOAP fault code is equivalent to the VersionMismatch SOAP fault code regardless of the version of the SOAP protocol used.

  true if is equivalent to the VersionMismatch SOAP fault code; otherwise, false.

  An that contains a SOAP fault code.
- Property
  2.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.String To be added.

  If your Web service works with multiple human languages, throw exceptions with message text or other properties localized to each language. Use this property to identify the language associated with the exception.

  Gets the human language associated with the exception.

- Field
  System.Xml.XmlQualifiedName

  Not all SOAP elements require processing by the server. However, if a SOAP element is marked with the MustUnderstand attribute equal to 1 or true, processing is required. Failure to process the element generates a with a .

  A SOAP Fault Code that represents a SOAP element marked with the MustUnderstand attribute was not processed.

  1.0.5000.0
  2.0.0.0
- Property
  2.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.String To be added.

  The property is ignored when the SOAP protocol version 1.1 is used to communicate with an XML Web service. When SOAP 1.2 is used, the property sets the node element within a fault element of a SOAP message.

  The and properties both identify the piece of code that caused the exception; they just refer to their SOAP 1.1 and SOAP 1.2 names respectively. Because they both refer to the same property value, applications can just access the property. The value of these properties is set by the constructors that accept an parameter.

  Gets a URI that represents the piece of code that caused the exception.

- Property
  2.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.String To be added.

  The property is ignored when the SOAP protocol version 1.1 is used to communicate with an XML Web service. When SOAP 1.2 is used, the property sets the role element within a fault element of a SOAP message.

  Gets a URI that represents the XML Web service's function in processing the SOAP message.

- Field
  System.Xml.XmlQualifiedName

  A might occur, for example, if a server being called cannot respond to a request due to network problems. Typically, with this type of exception, the client call might succeed later.

  If an XML Web service throws an exception, other than the , and the client is communicating with the XML Web service using the SOAP protocol, ASP.NET returns a SOAP fault. The .NET Framework running on the client machine converts that SOAP fault into a , setting the property to , and throws that exception to the client.

  Specifies that a SOAP fault code that represents an error occurred during the processing of a client call on the server, where the problem is not due to the message contents.

  1.0.5000.0
  2.0.0.0
- Property
  2.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.Web.Services.Protocols.SoapFaultSubCode To be added.

  The property is ignored when the SOAP protocol version 1.1 is used to communicate with an XML Web service.

  The property that represents the contents of the code element specifies the type of error that occurred using a limited number of pre-defined error codes specified by the SOAP protocol, whereas the optional subcode element allows an application to provide user-defined error codes specific to the application. ASP.NET defines two such codes that are represented by the and fields.

  Gets the optional error information contained in the subcode XML element of a SOAP fault.

- Field
  System.Xml.XmlQualifiedName

  A SOAP envelope is the top-level element of an XML document that represents a SOAP message.

  A SOAP fault code that represents an invalid namespace for a SOAP envelope was found during the processing of the SOAP message.

  1.0.5000.0
  2.0.0.0